Kubernetes
Create Kubernetes cluster
post
/kubernetes/Deploy a new managed Kubernetes cluster. The control plane is managed by CubePath and workers run on your VPS instances.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Cuerpo de la petición
application/jsonObligatorio
project_id*integer
name*string
Rango
3 ≤ length ≤ 100Rangopattern ^[a-z0-9][a-z0-9-]*[a-z0-9]$location_name*string
version?string | null
ha_control_plane?boolean
Por defecto
falseallocate_ipv4?boolean
Por defecto
trueallocate_ipv6?boolean
Por defecto
truenetwork?NetworkConfig | null
Propiedades (4)
network_id?integer | null
node_cidr?string | null
pod_cidr?string
Por defecto
"10.42.0.0/16"service_cidr?string
Por defecto
"10.43.0.0/16"node_pools*array<NodePoolCreate>
Rango
items ≥ 1Rangoitems ≤ 10Propiedades (6)
name?string
Rango
1 ≤ length ≤ 100Rangopattern ^[a-z0-9]([a-z0-9-]*[a-z0-9])?$Por defecto"default"plan*string
count?integer
Rango
1 ≤ value ≤ 100Por defecto1auto_scale?boolean
Por defecto
truelabels?record<string, string> | null
taints?array<TaintSpec> | null
Propiedades (3)
key*string
Rango
1 ≤ length ≤ 253value*string
Rango
length ≤ 63effect*string
Valores
"NoSchedule""PreferNoSchedule""NoExecute"Respuestas
Successful Response
application/json
detail*string
uuid*string
name*string
api_endpoint*string
status*string